Favicon

You are here: Home > API Reference > Mdm Agent Trace > Get MDM agent trace details

GET /organizations/:organizationId/mdm/agent-trace/:mdmAgentTraceId

Retrieves the details for a specific MDM agent trace

GET
/v1/organizations/:organizationId/mdm/agent-trace/:mdmAgentTraceId
Copy to clipboard

Get MDM agent trace details

Retrieves the details for a specific MDM agent trace

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^[a-fA-F0-9]{24}$
mdmAgentTraceId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organizationId string required
Match pattern: ^[a-fA-F0-9]{24}$
fingerprint string required
≤ 1000 characters
device object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
type string required
emmDevice admDevice winDevice
resource object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
type string required
script smartAttribute
event object required
type string required
error
content string required
≤ 1000 characters
createdAt string required
updatedAt string required
version number required
{
    "status": true,
    "data": {
        "id": "string",
        "organizationId": "string",
        "fingerprint": "string",
        "device": {
            "id": "string",
            "type": "emmDevice"
        },
        "resource": {
            "id": "string",
            "type": "script"
        },
        "event": {
            "type": "error",
            "content": "string"
        },
        "createdAt": "string",
        "updatedAt": "string",
        "version": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}